﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup>
    <Filter Include="CuTest">
      <UniqueIdentifier>{1dd0e382-b6b0-412a-b645-f43607072b95}</UniqueIdentifier>
    </Filter>
    <Filter Include="DataStructure">
      <UniqueIdentifier>{32a87126-f549-4d1f-a678-e3fec47fdda8}</UniqueIdentifier>
    </Filter>
    <Filter Include="Exceptions">
      <UniqueIdentifier>{79df14a2-df7f-4160-b6d0-36f14147bf0a}</UniqueIdentifier>
    </Filter>
    <Filter Include="Program_Base">
      <UniqueIdentifier>{624e5296-c2fa-4551-9f5b-62b5e49603a2}</UniqueIdentifier>
    </Filter>
    <Filter Include="DataStructure\Interfaces">
      <UniqueIdentifier>{f2d51d1f-fa64-48e7-a507-57aabc921f0c}</UniqueIdentifier>
    </Filter>
    <Filter Include="DataStructure\LinkedList">
      <UniqueIdentifier>{8a8a3ceb-9178-41e2-8f62-0a5f92509a63}</UniqueIdentifier>
    </Filter>
    <Filter Include="DataStructure\Queue">
      <UniqueIdentifier>{241cab4e-d0d0-41bc-91a4-eb25b49dd982}</UniqueIdentifier>
    </Filter>
    <Filter Include="DataStructure\SmartDynamicArray">
      <UniqueIdentifier>{6e11b707-2b2c-4080-8e5d-2ab8997f329c}</UniqueIdentifier>
    </Filter>
    <Filter Include="DataStructure\Stack">
      <UniqueIdentifier>{43810ab2-8f07-4ea8-b160-8b650c41364e}</UniqueIdentifier>
    </Filter>
    <Filter Include="Program_Grillezy">
      <UniqueIdentifier>{cf681ad6-fc6b-4e6e-a1a0-2cdb4205f543}</UniqueIdentifier>
    </Filter>
    <Filter Include="Program_Shopazon">
      <UniqueIdentifier>{4f1bf760-a8d1-44d9-9d88-128d40002b8b}</UniqueIdentifier>
    </Filter>
    <Filter Include="DataStructure\SmartTable">
      <UniqueIdentifier>{2343f78e-73ef-4be9-bdc3-c823ccd000ed}</UniqueIdentifier>
    </Filter>
    <Filter Include="DataStructure\BinarySearchTree">
      <UniqueIdentifier>{66a7fef9-aff8-49d1-a304-35a69b96c61d}</UniqueIdentifier>
    </Filter>
    <Filter Include="DataStructure\HashTable">
      <UniqueIdentifier>{7b751fbb-6561-431b-a044-9788f9219224}</UniqueIdentifier>
    </Filter>
    <Filter Include="Program_Logify">
      <UniqueIdentifier>{1970d85b-53ea-474c-9917-a6c3847aba59}</UniqueIdentifier>
    </Filter>
    <Filter Include="Program_CallWave">
      <UniqueIdentifier>{a00f4642-a20b-49fc-9bf9-17cd6d300859}</UniqueIdentifier>
    </Filter>
    <Filter Include="Namespace_Utilities">
      <UniqueIdentifier>{6e7ca3a2-1294-46a2-8354-0ec9a0558c66}</UniqueIdentifier>
    </Filter>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="..\Namespace_Utilities\Colors.h">
      <Filter>Namespace_Utilities</Filter>
    </ClInclude>
    <ClInclude Include="..\Namespace_Utilities\Logger.h">
      <Filter>Namespace_Utilities</Filter>
    </ClInclude>
    <ClInclude Include="..\Namespace_Utilities\Menu.h">
      <Filter>Namespace_Utilities</Filter>
    </ClInclude>
    <ClInclude Include="..\Namespace_Utilities\ScreenDrawer.hpp">
      <Filter>Namespace_Utilities</Filter>
    </ClInclude>
    <ClInclude Include="..\Namespace_Utilities\StringUtil.h">
      <Filter>Namespace_Utilities</Filter>
    </ClInclude>
    <ClInclude Include="..\Program_Base\Program.h">
      <Filter>Program_Base</Filter>
    </ClInclude>
    <ClInclude Include="..\Exceptions\InvalidIndexException.h">
      <Filter>Exceptions</Filter>
    </ClInclude>
    <ClInclude Include="..\Exceptions\ItemNotFoundException.h">
      <Filter>Exceptions</Filter>
    </ClInclude>
    <ClInclude Include="..\Exceptions\NotImplementedException.h">
      <Filter>Exceptions</Filter>
    </ClInclude>
    <ClInclude Include="..\Exceptions\NullptrException.h">
      <Filter>Exceptions</Filter>
    </ClInclude>
    <ClInclude Include="..\Exceptions\StructureEmptyException.h">
      <Filter>Exceptions</Filter>
    </ClInclude>
    <ClInclude Include="..\Exceptions\StructureFullException.h">
      <Filter>Exceptions</Filter>
    </ClInclude>
    <ClInclude Include="..\DataStructure\Interfaces\ILinearDataStructure.h">
      <Filter>DataStructure\Interfaces</Filter>
    </ClInclude>
    <ClInclude Include="..\DataStructure\LinkedList\LinkedList.h">
      <Filter>DataStructure\LinkedList</Filter>
    </ClInclude>
    <ClInclude Include="..\DataStructure\LinkedList\LinkedListNode.h">
      <Filter>DataStructure\LinkedList</Filter>
    </ClInclude>
    <ClInclude Include="..\DataStructure\LinkedList\LinkedListTester.h">
      <Filter>DataStructure\LinkedList</Filter>
    </ClInclude>
    <ClInclude Include="..\DataStructure\Stack\ArrayStack.h">
      <Filter>DataStructure\Stack</Filter>
    </ClInclude>
    <ClInclude Include="..\DataStructure\Stack\LinkedStack.h">
      <Filter>DataStructure\Stack</Filter>
    </ClInclude>
    <ClInclude Include="..\DataStructure\Stack\StackTester.h">
      <Filter>DataStructure\Stack</Filter>
    </ClInclude>
    <ClInclude Include="..\DataStructure\SmartDynamicArray\SmartDynamicArray.h">
      <Filter>DataStructure\SmartDynamicArray</Filter>
    </ClInclude>
    <ClInclude Include="..\DataStructure\SmartDynamicArray\SmartDynamicArrayTester.h">
      <Filter>DataStructure\SmartDynamicArray</Filter>
    </ClInclude>
    <ClInclude Include="..\DataStructure\Queue\ArrayQueue.h">
      <Filter>DataStructure\Queue</Filter>
    </ClInclude>
    <ClInclude Include="..\DataStructure\Queue\LinkedQueue.h">
      <Filter>DataStructure\Queue</Filter>
    </ClInclude>
    <ClInclude Include="..\DataStructure\Queue\QueueTester.h">
      <Filter>DataStructure\Queue</Filter>
    </ClInclude>
    <ClInclude Include="..\CuTest\TesterBase.h">
      <Filter>CuTest</Filter>
    </ClInclude>
    <ClInclude Include="..\Program_Shopazon\Product.h">
      <Filter>Program_Shopazon</Filter>
    </ClInclude>
    <ClInclude Include="..\Program_Shopazon\ShopazonProgram.h">
      <Filter>Program_Shopazon</Filter>
    </ClInclude>
    <ClInclude Include="..\Program_Grillezy\GrillezyProgram.h">
      <Filter>Program_Grillezy</Filter>
    </ClInclude>
    <ClInclude Include="..\Program_Grillezy\Message.h">
      <Filter>Program_Grillezy</Filter>
    </ClInclude>
    <ClInclude Include="..\Program_Grillezy\Sandwich.h">
      <Filter>Program_Grillezy</Filter>
    </ClInclude>
    <ClInclude Include="..\DataStructure\HashTable\HashItem.h">
      <Filter>DataStructure\HashTable</Filter>
    </ClInclude>
    <ClInclude Include="..\DataStructure\HashTable\HashTable.h">
      <Filter>DataStructure\HashTable</Filter>
    </ClInclude>
    <ClInclude Include="..\DataStructure\HashTable\HashTableTester.h">
      <Filter>DataStructure\HashTable</Filter>
    </ClInclude>
    <ClInclude Include="..\DataStructure\BinarySearchTree\BinarySearchTree.h">
      <Filter>DataStructure\BinarySearchTree</Filter>
    </ClInclude>
    <ClInclude Include="..\DataStructure\BinarySearchTree\BinarySearchTreeNode.h">
      <Filter>DataStructure\BinarySearchTree</Filter>
    </ClInclude>
    <ClInclude Include="..\DataStructure\BinarySearchTree\BinarySearchTreeTester.h">
      <Filter>DataStructure\BinarySearchTree</Filter>
    </ClInclude>
    <ClInclude Include="..\DataStructure\SmartTable\SmartTable.h">
      <Filter>DataStructure\SmartTable</Filter>
    </ClInclude>
    <ClInclude Include="..\DataStructure\SmartTable\SmartTableNode.h">
      <Filter>DataStructure\SmartTable</Filter>
    </ClInclude>
    <ClInclude Include="..\DataStructure\SmartTable\SmartTableTester.h">
      <Filter>DataStructure\SmartTable</Filter>
    </ClInclude>
    <ClInclude Include="..\Program_Logify\DataGen.h">
      <Filter>Program_Logify</Filter>
    </ClInclude>
    <ClInclude Include="..\Program_Logify\Employee.h">
      <Filter>Program_Logify</Filter>
    </ClInclude>
    <ClInclude Include="..\Program_Logify\LogifyProgram.h">
      <Filter>Program_Logify</Filter>
    </ClInclude>
    <ClInclude Include="..\Program_CallWave\Call.h">
      <Filter>Program_CallWave</Filter>
    </ClInclude>
    <ClInclude Include="..\Program_CallWave\CallWaveProgram.h">
      <Filter>Program_CallWave</Filter>
    </ClInclude>
    <ClInclude Include="..\Program_CallWave\DataGen.h">
      <Filter>Program_CallWave</Filter>
    </ClInclude>
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="..\Namespace_Utilities\Logger.cpp">
      <Filter>Namespace_Utilities</Filter>
    </ClCompile>
    <ClCompile Include="..\Namespace_Utilities\Menu.cpp">
      <Filter>Namespace_Utilities</Filter>
    </ClCompile>
    <ClCompile Include="..\Namespace_Utilities\ScreenDrawer.cpp">
      <Filter>Namespace_Utilities</Filter>
    </ClCompile>
    <ClCompile Include="..\Namespace_Utilities\StringUtil.cpp">
      <Filter>Namespace_Utilities</Filter>
    </ClCompile>
    <ClCompile Include="..\Program_Base\Program.cpp">
      <Filter>Program_Base</Filter>
    </ClCompile>
    <ClCompile Include="..\CuTest\TesterBase.cpp">
      <Filter>CuTest</Filter>
    </ClCompile>
    <ClCompile Include="..\main.cpp" />
    <ClCompile Include="..\Program_Shopazon\Product.cpp">
      <Filter>Program_Shopazon</Filter>
    </ClCompile>
    <ClCompile Include="..\Program_Shopazon\ShopazonProgram.cpp">
      <Filter>Program_Shopazon</Filter>
    </ClCompile>
    <ClCompile Include="..\Program_Grillezy\GrillezyProgram.cpp">
      <Filter>Program_Grillezy</Filter>
    </ClCompile>
    <ClCompile Include="..\Program_Grillezy\Message.cpp">
      <Filter>Program_Grillezy</Filter>
    </ClCompile>
    <ClCompile Include="..\Program_Grillezy\Sandwich.cpp">
      <Filter>Program_Grillezy</Filter>
    </ClCompile>
    <ClCompile Include="..\DataStructure\BinarySearchTree\BinarySearchTreeTester.cpp">
      <Filter>DataStructure\BinarySearchTree</Filter>
    </ClCompile>
    <ClCompile Include="..\Program_Logify\LogifyProgram.cpp">
      <Filter>Program_Logify</Filter>
    </ClCompile>
    <ClCompile Include="..\Program_CallWave\CallWaveProgram.cpp">
      <Filter>Program_CallWave</Filter>
    </ClCompile>
  </ItemGroup>
</Project>